[DRE-commits] [gitlab] 20/23: don't create extention if already exist

Praveen Arimbrathodiyil praveen at moszumanska.debian.org
Fri Jun 3 12:52:42 UTC 2016


This is an automated email from the git hooks/post-receive script.

praveen pushed a commit to branch master
in repository gitlab.

commit 26b727b949d49e703898fdc6888d5cc619c8255e
Author: Praveen Arimbrathodiyil <praveen at debian.org>
Date:   Fri Jun 3 14:40:13 2016 +0530

    don't create extention if already exist
---
 debian/grantpriv.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/grantpriv.sh b/debian/grantpriv.sh
index 864bbec..f64d957 100755
--- a/debian/grantpriv.sh
+++ b/debian/grantpriv.sh
@@ -25,6 +25,6 @@ su postgres -c "psql -c \"GRANT ALL PRIVILEGES ON DATABASE template1 to $user;\"
   }
 
 # enable the pg_trgm extension
-su postgres -c "psql -d $dbname -c \"CREATE EXTENSION pg_trgm;\"" || {
+su postgres -c "psql -d $dbname -c \"CREATE EXTENSION IF NOT EXISTS pg_trgm;\"" || {
   exit 1
     }

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/gitlab.git



More information about the Pkg-ruby-extras-commits mailing list